"use strict";
var App = angular.module("app", ["ngSanitize", "ngResource", "ui.router", "oc.modal", "angular-carousel"]).config([
    "$stateProvider",
    "$locationProvider",
    "$urlRouterProvider",
    function (t, e, r) {
        return (
            e.hashPrefix("!"),
            r.otherwise("/home"),
            t
                .state("home", { url: "/home", views: { mainView: { templateUrl: "partials/home.html?updated=200122", controller: "MainCtrl" } } })
                .state("accepted-papers", { url: "/accepted-papers", views: { mainView: { templateUrl: "partials/accepted-papers.html?updated=191210" } } })
                .state("policy", { url: "/policy", views: { mainView: { templateUrl: "partials/policy.html" } } })
                .state("pastvenues", { url: "/pastvenues", views: { mainView: { templateUrl: "partials/pastvenues.html" } } })
                .state("sponsors", { url: "/sponsors", views: { mainView: { templateUrl: "partials/sponsors.html" } } })
                .state("committee", { url: "/committee", views: { mainView: { templateUrl: "partials/committee.html" } } })
                .state("pc", { url: "/pc", views: { mainView: { templateUrl: "partials/pc.html" } } })
                .state("shadow", { url: "/shadow", views: { mainView: { templateUrl: "partials/shadow.html" } } })
                .state("artifactcommittee", { url: "/artifact-committee", views: { mainView: { templateUrl: "partials/artifactcommittee.html" } } })
                .state("artifact-submission", { url: "/artifact-submission", views: { mainView: { templateUrl: "partials/artifact-submissions.html" } } })
                .state("cae", { url: "/cae", views: { mainView: { templateUrl: "partials/cae.html?updated=191210" } } })
                .state("video-preparation", { url: "/video-preparation", views: { mainView: { templateUrl: "partials/video-preparation.html" } } })
                .state("cfp", { url: "/cfp", views: { mainView: { templateUrl: "partials/cfp.html" } } })
                .state("program-poster", { url: "/program-poster", views: { mainView: { templateUrl: "partials/program-poster.html?updated=191205" } } })
                .state("mentoring", { url: "/mentoring", views: { mainView: { templateUrl: "partials/reception.html?updated=191205" } } })
                .state("posters", { url: "/posters", views: { mainView: { templateUrl: "partials/posters.html" } } })
                .state("cfw", { url: "/cfw", views: { mainView: { templateUrl: "partials/cfw.html" } } })
                .state("workshop-bigdama", { url: "/workshop-bigdama", views: { mainView: { templateUrl: "partials/workshop-bigdama.html?updated=191130" } } })
                .state("toc", { url: "/toc", views: { mainView: { templateUrl: "partials/toc.html" } } })
                .state("program-bigdama", { url: "/program-bigdama", views: { mainView: { templateUrl: "partials/program-bigdama.html?updated=191205" } } })
                .state("program-encp", { url: "/program-encp", views: { mainView: { templateUrl: "partials/program-encp.html?updated=191205" } } })
                .state("workshop-student", { url: "/workshop-student", views: { mainView: { templateUrl: "partials/workshop-student.html?updated=191002" } } })
                .state("workshop-encp", { url: "/workshop-encp", views: { mainView: { templateUrl: "partials/workshop-encp.html" } } })
                .state("din", { url: "/din", views: { mainView: { templateUrl: "partials/din.html" } } })
                .state("studentposters", { url: "/studentposters", views: { mainView: { templateUrl: "partials/studentposters.html" } } })
                .state("travelgrants", { url: "/travelgrants", views: { mainView: { templateUrl: "partials/travelgrants.html" } } })
                .state("n2women", { url: "/n2women", views: { mainView: { templateUrl: "partials/n2women.html?updated=191210" } } })
                .state("keynote", { url: "/keynote", views: { mainView: { templateUrl: "partials/keynote.html" } } })
                .state("visa", { url: "/visa", views: { mainView: { templateUrl: "partials/visa.html" } } })
                .state("camera-ready", { url: "/camera-ready", views: { mainView: { templateUrl: "partials/camera-ready.html" } } })
                .state("registration", { url: "/registration", views: { mainView: { templateUrl: "partials/registration.html?updated=191105" } } })
                .state("socialdinner", { url: "/socialdinner", views: { mainView: { templateUrl: "partials/socialdinner.html" } } })
                .state("reception", { url: "/reception", views: { mainView: { templateUrl: "partials/reception.html" } } })
                .state("program", { url: "/program", views: { mainView: { templateUrl: "partials/program.html?updated=191214" } } })
                .state("programatglance", { url: "/programatglance", views: { mainView: { templateUrl: "partials/programatglance.html" } } })
                .state("workshopatglance", { url: "/workshopatglance", views: { mainView: { templateUrl: "partials/workshopatglance.html" } } })
                .state("submission", { url: "/submission", views: { mainView: { templateUrl: "partials/submission.html", controller: "MainCtrl" } } })
                .state("roomshare", { url: "/roomshare", views: { mainView: { templateUrl: "partials/roomshare.html" } } })
                .state("shuttle", { url: "/shuttle", views: { mainView: { templateUrl: "partials/shuttle.html?updated=191209" } } })
                .state("accomodation", { url: "/accomodation", views: { mainView: { templateUrl: "partials/accommodation.html?updated=191001" } } })
                .state("accommodation", { url: "/accommodation", views: { mainView: { templateUrl: "partials/accommodation.html?updated=191001" } } })
                .state("venue", { url: "/venue", views: { mainView: { templateUrl: "partials/venue.html" } } })
                .state("hotel", { url: "/hotel", views: { mainView: { templateUrl: "partials/hotel.html" } } })
                .state("cfaec", { url: "/cfaec", views: { mainView: { templateUrl: "partials/call_for_artifactcommittee.html" } } })
                ,
            e.html5Mode(!1)
        );
    },
]);
App.controller("AppCtrl", [
    "$scope",
    "$location",
    "$resource",
    "$rootScope",
    function (t, e) {
        return (
            (t.$location = e),
            t.$watch("$location.path()", function (e) {
                return (t.activeNavId = e || "/");
            }),
            (t.getClass = function (e) {
                return t.activeNavId.substring(0, e.length) === e ? "active" : "";
            })
        );
    },
]),
    App.controller("ModalCtrl", [
        "$scope",
        function () {
            console.log("modal ctrl");
        },
    ]),
    App.controller("MyCtrl", ["$scope", function () {}]),
    App.controller("MainCtrl", [
        "$scope",
        "$location",
        "$anchorScroll",
        function (t, e, r) {
            t.scrollTo = function (t) {
                var a = e.hash();
                e.hash(t), r(), e.hash(a);
            };
        },
    ]),
    App.directive("appVersion", [
        "version",
        function (t) {
            return function (e, r) {
                return r.text(t);
            };
        },
    ]),
    App.filter("interpolate", [
        "version",
        function (t) {
            return function (e) {
                return String(e).replace(/\%VERSION\%/gm, t);
            };
        },
    ]),
    App.factory("version", function () {
        return "0.6.0";
    });

var app = angular.module("myApp", []);




function toggle_program(){
  if ($('.collapse.in').length == 0){
    $('.panel-collapse').collapse('show');
    $('a#btn_toggle').text('Hide talks');
  }
  else{
    $('.panel-collapse').collapse('hide');
    $('a#btn_toggle').text('Show talks');
  }
}



// .state("program-student",{url:"/program-student",views:{mainView:{templateUrl:"partials/program-student.html?updated=191209"}}})
